#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sat Feb 11 20:06:59 2023

@author: nick
"""

from vedirect import *
import json


#Used for Debugging
#jsondata = {"PPV": "158", "SER#": "HQ1839N7SVC", "V": "13123"}


# Wenn mehr als ein USB Gerät angeschlossen ist, dann kann das Device beim nächsten start anders heissen. 
# Man kann die USB-Ports bei Victron aber der Sriennummer des Gerätes zuweisen.
# In diesem Beispiel wir die Seriennummer und die aktuelle Slarleistung von "/dev/ttyUSB0" ausgegeben.

# Parameter:
# Device
# timeout in Sekunden)
jsondata = (getvdata("/dev/ttyUSB0", 10))

print(jsondata)


Victron1_data = str(jsondata)
Victron1_data = Victron1_data.replace("'", "\"")
Victron1_data_obj = json.loads(Victron1_data)

SER = str(Victron1_data_obj['SER#'])
PPV = int(Victron1_data_obj['PPV'])
BatteryVoltage = int(Victron1_data_obj['V'])
                            
       
print("")                     
print("Seriennummer:          " + str(SER))                            
print("Leistung (W):          " + str(PPV)     )                       
print("Batteriespannumg (mV): " + str(BatteryVoltage))